# The Red Matrix: include/chat.php File Reference

All Classes Namespaces Files Functions Variables Pages
chat.php File Reference

## Functions

| chatroom_create ($channel, $arr)
| chatroom_destroy ($channel, $arr)
| chatroom_enter ($observer_xchan, $room_id, $status, $client)
| chatroom_leave ($observer_xchan, $room_id, $client)
| chatroom_list ($uid)

## Function Documentation

chatroom_create | ( |  | $channel,
|  |  | $arr
| ) |  |

Referenced by chat_post().

chatroom_destroy | ( |  | $channel,
|  |  | $arr
| ) |  |

Referenced by chat_post().

chatroom_enter | ( |  | $observer_xchan,
|  |  | $room_id,
|  |  | $status,
|  |  | $client
| ) |  |

Referenced by chat_content().

chatroom_leave | ( |  | $observer_xchan,
|  |  | $room_id,
|  |  | $client
| ) |  |

Referenced by chat_content().

chatroom_list | ( |  | $uid | ) |

Referenced by widget_chatroom_list().